Bug 1420354 - Change reinstall button to a more clear name.
Summary: Change reinstall button to a more clear name.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.3.0
: ---
Assignee: bugs@ovirt.org
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:06 UTC by Yaniv Lavi
Modified: 2017-10-25 08:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-25 08:46:55 UTC
oVirt Team: SLA
rule-engine: ovirt-4.2+
rule-engine: ovirt-4.3+


Attachments (Terms of Use)
host_menu_change (50.18 KB, image/jpeg)
2017-07-12 10:12 UTC, Eldan Hildesheim
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1416893 0 high CLOSED Unable to undeploy hosted-engine host via UI. 2021-02-22 00:41:40 UTC

Internal Links: 1416893

Description Yaniv Lavi 2017-02-08 14:06:17 UTC
Description of problem:
Reinstall has several use cases, like reconfiguration of firewall and undeploy of HE. The name should reflect that probably named 'Manage Software Components' or simply 'Manage'.

Comment 1 Oved Ourfali 2017-02-09 07:10:25 UTC
I don't see what's more clear than re-install?
It re-installs the host....
Manage? This is very unclear....
Manage Software Components? Also very unclear. What do you manage exactly? What will you do?
If HE related stuff doesn't fit there then perhaps they need their own option in the UI, and not rely on the re-install button.
Currently re-install allows you to set up a few things, like you can set those up when you install a new host.

Anyhow, I don't see how this is "high" severity, also not high priority as well.
And imho any change of name will just confuse customers and users.

I think you should consider to put the HE undeploy elsewhere, with its own option.
Moving to SLA to consider that.

Comment 2 Yaniv Kaul 2017-02-09 07:42:46 UTC
I still think at the end of the day it reinstalls the host.
I certainly don't see why it's a high severity item.

Comment 3 Yaniv Lavi 2017-02-09 13:13:42 UTC
Can you please consult with UX on this topic?

Comment 4 Oved Ourfali 2017-02-09 13:17:33 UTC
I guess you mean UXD.
Anyhow, you need to decide if you want to move the "undeploy" of hosted engine elsewhere.

Comment 5 Martin Perina 2017-02-09 13:25:05 UTC
Reinstall execute 'host-deploy' flow and at the moment we have only 2 host-deploy flows defined: install/reinstall (which HE deploy/undeploy is part of) and check for upgrade/upgrade. So it doesn't make sense for me to create 3rd host-deploy flow just for HE deploy/undeploy and it should stay within Install/Reinstall flow

Comment 6 Eldan Hildesheim 2017-07-12 10:11:47 UTC
2 semantic changes can solve the problem:
- Instead of Installation -> Software
- Instead of Reinstall -> Configuration

Mock-up is attached

Comment 7 Eldan Hildesheim 2017-07-12 10:12:27 UTC
Created attachment 1296833 [details]
host_menu_change

Comment 8 Oved Ourfali 2017-07-12 10:13:59 UTC
As discussed offline, adding the hosted engine shouldn't be part of reinstall.
The reinstall option isn't configuration. It is reinstallation.

Please change the bug to extract the hosted engine configuration out ot a separate button/dialog.

Comment 9 Martin Sivák 2017-07-12 11:01:14 UTC
Oved, we can't do that. The hosted engine deployment is part of host deploy. And there is no way to separate it right now.

Comment 10 Oved Ourfali 2017-07-12 11:18:55 UTC
(In reply to Martin Sivák from comment #9)
> Oved, we can't do that. The hosted engine deployment is part of host deploy.
> And there is no way to separate it right now.

You can separate to another dialog/button.
Anyway, if it is still using the re-install then it should be named that way (and the bug should be closed).

Comment 11 Martin Sivák 2017-07-12 11:48:33 UTC
Well except for the fact that we now have menu structure like this:

Installation / Reinstall

and it opens a dialog that is called

Install Host

And that sounds a bit redundant and inconsistent. I talked to Eldan and at least change to

Software / Install

might make sense.

Comment 12 Oved Ourfali 2017-07-12 11:52:33 UTC
(In reply to Martin Sivák from comment #11)
> Well except for the fact that we now have menu structure like this:
> 
> Installation / Reinstall
> 
> and it opens a dialog that is called
> 
> Install Host
> 
> And that sounds a bit redundant and inconsistent. I talked to Eldan and at
> least change to
> 
> Software / Install
> 

But if the host is installed already it is re-install.
I don't see why do we want to change it.
Also, parts of the menu aren't software. Like certificates, for example.

That's why I think it should be kept as is.

Comment 13 Oved Ourfali 2017-10-25 08:46:55 UTC
Closing as wontfix.
Explanation is above.


Note You need to log in before you can comment on or make changes to this bug.